# UpdateImage

Update an existing image for an item.

`PUT /api/v2/companies/{companyId}/items/{itemId}/images/{imageId}`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `multipart/form-data`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Items/UpdateImage/

## Description

This endpoint allows users to update the existing image associated with a specific item by uploading a new image file.
            
The updated image serves as the item's visual representation and will be used for tax code recommendation purposes.
            
Restrictions:
- Supported formats: JPEG, GIF, PNG
- Maximum file size: 10MB
- Maximum file name length allowed: 200 characters

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The unique ID of the company. |
| `itemId` | integer | path | Yes | The unique ID of the item. |
| `imageId` | string | path | Yes | The unique ID of the image to update. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |
| `imageFile` | file | formData | Yes |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ItemImageDetailsModel` |
| 400 | Bad Request | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |
| 415 | Client Error | `ProblemDetails` |
| 500 | Server Error |  |

### 200 Response: `ItemImageDetailsModel`

Item image details model

| Property | Type | Required | Description |
|---|---|---|---|
| `itemImageId` | string | No | Guid Primary key for ItemImage Example: `3abaedf4-4b5c-4a80-9c96-4486ed9995b7`. |
| `itemImageDetailId` | integer | No | Numeric primary key for ItemImage Example: `0`. |
| `companyId` | integer | No | Gets or sets the company ID associated with the item image. Example: `61699`. |
| `itemId` | integer | No | Gets or sets the item ID. Example: `12345`. |
| `createdAt` | string | No | Gets or sets the creation timestamp of the item image. Example: `2026-07-02T04:05:02.3271432Z`. |
| `createdUserId` | integer | No | Gets or sets the ID of the user who created the item image. Example: `1001`. |
| `modifiedAt` | string | No | Gets or sets the last modification timestamp of the item image. Example: `2026-07-02T04:05:02.3271649Z`. |
| `modifiedUserId` | integer | No | Gets or sets the ID of the user who last modified the item image. Example: `1002`. |

## Example Request

```bash
curl -X PUT "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/items/{itemId}/images/{imageId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: multipart/form-data" \
  -H "Accept: application/json"
```